image: quay.io/containers/podman

variables:
  DOCKER_HOST: tcp://docker:2375/
  DOCKER_DRIVER: overlay2
  DOCKER_IMAGE: "$CI_REGISTRY_IMAGE:$CI_COMMIT_BRANCH"

deploy:
  stage: deploy
  before_script:
    - podman login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" registry.gitlab.com
  script:
    - podman buildx build --platform linux/arm64/v8,linux/amd64 --tag "$DOCKER_IMAGE" .
    - podman push "$DOCKER_IMAGE"
